﻿
@{
    Layout = null;
}
@using Entregable1.Models;
<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>
    <title>Listar</title>
</head>
<body>
    <div class="container-fluid">
        <div class="row p-5 justify-content-center bg-secondary">
            <div class="col-auto">
                <h1 class="text-center">MAGIC SCHOOL</h1>
            </div>
        </div>
        <div class="row mt-4 justify-content-center">
            <div class="col-auto">
                <table class="table table-hover table-bordered caption-top">
                    <caption>Lista de Contactos</caption>
                    <thead class="table-primary">
                    <th>Nombre</th>
                    <th>Teléfono</th>
                    <th>Fecha de Nacimiento</th>
                    <th>Comentario</th>
                    </thead>
                    @{
                        foreach (Contacto contacto in (List<Contacto>)ViewData["contactos"])
                        {
                            <tr>
                                <td>@contacto.nombre</td>
                                <td>@contacto.telefono</td>
                                <td>@contacto.fechaNac</td>
                                <td>@contacto.comentario</td>
                            </tr>
                        }
                    }
                </table>
            </div>
        </div>
        <div class="row mt-3 justify-content-center">
            <div class="col-auto">
                <a href="/" class="btn btn-primary p-2 px-5">Retornar</a>
            </div>
        </div>
    </div>
</body>
</html>
